GetTaskReportsRequestPBImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb, class: GetTaskReportsRequestPBImpl

Package org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb

# Class GetTaskReportsRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsRequestProto>
org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb.GetTaskReportsRequestPBImpl

All Implemented Interfaces:
  `GetTaskReportsRequest`

public class GetTaskReportsRequestPBImpl extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsRequestProto> implements GetTaskReportsRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetTaskReportsRequestPBImpl()`
  `GetTaskReportsRequestPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JobId`
  `getJobId()`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsRequestProto`
  `getProto()`
  `TaskType`
  `getTaskType()`
  `void`
  `setJobId(JobId jobId)`
  `void`
  `setTaskType(TaskType taskType)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

  `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetTaskReportsRequestPBImpl

    public GetTaskReportsRequestPBImpl()

  - ### GetTaskReportsRequestPBImpl

    public GetTaskReportsRequestPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsRequestProto getProto()
    Specified by:
      `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsRequestProto>`

  - ### getJobId

    public JobId getJobId()
    Specified by:
      `getJobId` in interface `GetTaskReportsRequest`

  - ### setJobId

    public void setJobId(JobId jobId)
    Specified by:
      `setJobId` in interface `GetTaskReportsRequest`

  - ### getTaskType

    public TaskType getTaskType()
    Specified by:
      `getTaskType` in interface `GetTaskReportsRequest`

  - ### setTaskType

    public void setTaskType(TaskType taskType)
    Specified by:
      `setTaskType` in interface `GetTaskReportsRequest`